io.agora.rtc

## Class EncodedAudioFrameInfo

- java.lang.Object
- - io.agora.rtc.EncodedAudioFrameInfo

-     public class EncodedAudioFrameInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `codec`
    `private int` | `numberOfChannels`
    `private int` | `sampleRateHz`
    `private int` | `samplesPerChannel`
    `private int` | `sendEvenIfEmpty`
    `private int` | `speech`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodedAudioFrameInfo()`
    `EncodedAudioFrameInfo(int speech, int codec, int sampleRateHz, int samplesPerChannel, int numberOfChannels, int sendEvenIfEmpty)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCodec()`
    `int` | `getNumberOfChannels()`
    `int` | `getSampleRateHz()`
    `int` | `getSamplesPerChannel()`
    `int` | `getSendEvenIfEmpty()`
    `int` | `getSpeech()`
    `void` | `setCodec(int codec)`
    `void` | `setNumberOfChannels(int numberOfChannels)`
    `void` | `setSampleRateHz(int sampleRateHz)`
    `void` | `setSamplesPerChannel(int samplesPerChannel)`
    `void` | `setSendEvenIfEmpty(int sendEvenIfEmpty)`
    `void` | `setSpeech(int speech)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### speech

          private int speech

    - #### codec

          private int codec

    - #### sendEvenIfEmpty

          private int sendEvenIfEmpty

    - #### sampleRateHz

          private int sampleRateHz

    - #### samplesPerChannel

          private int samplesPerChannel

    - #### numberOfChannels

          private int numberOfChannels

  - ### Constructor Detail

    - #### EncodedAudioFrameInfo

          public EncodedAudioFrameInfo()

    - #### EncodedAudioFrameInfo

          public EncodedAudioFrameInfo(int speech,
                                       int codec,
                                       int sampleRateHz,
                                       int samplesPerChannel,
                                       int numberOfChannels,
                                       int sendEvenIfEmpty)

  - ### Method Detail

    - #### getSpeech

          public int getSpeech()

    - #### setSpeech

          public void setSpeech(int speech)

    - #### getCodec

          public int getCodec()

    - #### setCodec

          public void setCodec(int codec)

    - #### getSendEvenIfEmpty

          public int getSendEvenIfEmpty()

    - #### setSendEvenIfEmpty

          public void setSendEvenIfEmpty(int sendEvenIfEmpty)

    - #### getSampleRateHz

          public int getSampleRateHz()

    - #### setSampleRateHz

          public void setSampleRateHz(int sampleRateHz)

    - #### getSamplesPerChannel

          public int getSamplesPerChannel()

    - #### setSamplesPerChannel

          public void setSamplesPerChannel(int samplesPerChannel)

    - #### getNumberOfChannels

          public int getNumberOfChannels()

    - #### setNumberOfChannels

          public void setNumberOfChannels(int numberOfChannels)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`